Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010134 [DCSS] Bug Report minor always 2015-12-04 08:45 2016-11-24 02:11
Reporter prozacelf View Status public  
Assigned To sgrunt
Priority normal Resolution done  
Status closed   Product Branch 0.18 ancient branch
Summary 0010134: Pakellas' Device Surge does not report improved chance for hex wands to work
Description When using Pakellas' Device Surge, the chance shown for a hex wand to work is displayed as unchanged from not using Device Surge. This may lead the player to believe that the ability does not work on hex wands.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0010177closedMedar Pakellas device surge and hex wands 

-  Notes
(0029971)
Medar (developer)
2015-12-14 19:45

According to 0010177 the bug might be that the success rate isn't improved (not just a display issue).
(0029992)
crate (reporter)
2015-12-16 11:27

So I did some testing on this, using 0.18-a0-822-gb52b7b4.

I was using a 10.0 evocations confuse wand against a shock serpent (mr 40). This displays as 50% chance to succeed. According to learndb this is 40 power for the wand (as expected if success rate is 50%).

The confuse spell at 40 spellpower succeeds 50% of the time also as we expect, as a check. With 1 enhancer, you get 59% success displayed; with 2 you get 67%; with 3 you get 73%. I did not test the spell success rates, but I assume they are correct.

Results of testing device surge and no-device-surge confuse wand against the shock serpent:

No enhancer: 22 successes in 40 attempts (55%, <1/2 of a standard deviation away from 50%).
1 enhancer: 16/41 for 39% success (roughly 2 standard deviations away from 59% success)
2 enhancers: 28/47 for 60% (~2/3 SD away from 67%)
3 enhancers: 14/30 for 47% (2.1 SD away from 73% success)
All device surge results combined: 58/118, for 49% success.

(Using 1 SD = sqrt(successes) as with other stochastic processes e.g. nuclear decay.)

So either I was extremely unlucky or there is something wrong with device surge, at least on hex wands (I cannot easily test how well it works for other devices). All three levels of device surge underperform expectation, and with any amount of enhancers we still end up with a net 50% success rate.

I think it is not working.
(0030090)
sgrunt (administrator)
2015-12-28 02:33

Fixed in 0.18-a0-939-g1e913c8.
(0031295)
prozacelf (reporter)
2016-11-24 02:11

Probably fixed? It's a moot point currently, so closing.

- Issue History
Date Modified Username Field Change
2015-12-04 08:45 prozacelf New Issue
2015-12-04 16:59 Amnesiac File Added: Amnesiac.cs
2015-12-04 17:00 Amnesiac Note Added: 0029921
2015-12-04 17:02 Amnesiac Note Edited: 0029921
2015-12-04 17:58 Medar File Deleted: Amnesiac.cs
2015-12-04 17:58 Medar Note Deleted: 0029921
2015-12-14 19:44 Medar Relationship added has duplicate 0010177
2015-12-14 19:45 Medar Note Added: 0029971
2015-12-16 11:27 crate Note Added: 0029992
2015-12-28 02:33 sgrunt Note Added: 0030090
2015-12-28 02:33 sgrunt Assigned To => sgrunt
2015-12-28 02:33 sgrunt Status new => resolved
2015-12-28 02:33 sgrunt Resolution open => done
2015-12-28 02:33 sgrunt Fixed in Branch => 0.18 development branch
2016-11-24 02:11 prozacelf Note Added: 0031295
2016-11-24 02:11 prozacelf Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker